# Linter CI for Dockerfile
#######################
# variables:
#   IMAGE_DOCKER: "docker:25.0.3"
#   IMAGE_DIND: "docker:25.0.3-dind"

.lint_Dockerfile:
  # Описание:
  #   Это блок настраивает контейнер Docker для запуска Hadolint - статического анализатора Dockerfile.
  #   Запускает hadolint бинарник и завершает работу с неуспехом, если найдены проблемы.
  
  image: ${IMAGE_DOCKER}
  services:
    - ${IMAGE_DIND}
  script:
    - apk add --no-cache curl
    - curl -L https://github.com/hadolint/hadolint/releases/download/v2.10.0/hadolint-Linux-x86_64 -o /usr/local/bin/hadolint
    - chmod +x /usr/local/bin/hadolint
    - hadolint Dockerfile
    # - echo $PWD
    # - ls $PWD
    # - whoami
    # - echo $CI_PROJECT_DIR
